Bug 190545 - Templates overriding user-set hour
Summary: Templates overriding user-set hour
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: general (show other bugs)
Version: 4.2.2
Platform: Ubuntu Packages Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-24 21:00 UTC by Dotan Cohen
Modified: 2013-07-22 06:51 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dotan Cohen 2009-04-24 21:00:14 UTC
Version:            (using KDE 4.2.2)
Installed from:    Ubuntu Packages

In KDE 4, there seems to be no way to configure a Template to not change the hour of events. Thus, even though the user set the hours that he needs an event to span (with the mouse, before clicking New Event), the template changes the hours set.

KDE 3 did not suffer from this condition, either because setting the template did not change the user-set hour, or because templates did not store hours information.
Comment 1 Sergio Martins 2013-07-21 14:27:52 UTC
Git commit 2b160d53fe9c83fc2a0e65e510d0f02cb8670552 by Sergio Martins.
Committed on 21/07/2013 at 14:24.
Pushed by smartins into branch 'KDE/4.11'.

Don't let templates override the dates that the user chose.

Dates should never be overriden by templates.
Related: bug 294169

M  +62   -18   incidenceeditor-ng/incidencedatetime.cpp
M  +4    -0    incidenceeditor-ng/incidencedialog.cpp

http://commits.kde.org/kdepim/2b160d53fe9c83fc2a0e65e510d0f02cb8670552
Comment 2 Dotan Cohen 2013-07-22 06:51:36 UTC
Thank you Sergio!